#
# Table structure for table 'tx_sibibtex_entries'
#
CREATE TABLE tx_sibibtex_entries (
	uid int(11) NOT NULL auto_increment,
	pid int(11) DEFAULT '0' NOT NULL,
	tstamp int(11) DEFAULT '0' NOT NULL,
	crdate int(11) DEFAULT '0' NOT NULL,
	cruser_id int(11) DEFAULT '0' NOT NULL,
	sys_language_uid int(11) DEFAULT '0' NOT NULL,
	l18n_parent int(11) DEFAULT '0' NOT NULL,
	l18n_diffsource mediumblob NOT NULL,
	deleted tinyint(4) DEFAULT '0' NOT NULL,
	hidden tinyint(4) DEFAULT '0' NOT NULL,
	starttime int(11) DEFAULT '0' NOT NULL,
	endtime int(11) DEFAULT '0' NOT NULL,
	id_reference tinytext NOT NULL,
	author text NOT NULL,
	title varchar(255) DEFAULT '' NOT NULL,
	journal varchar(255) DEFAULT '' NOT NULL,
	year tinytext NOT NULL,
	volume tinytext NOT NULL,
	number tinytext NOT NULL,
	pages tinytext NOT NULL,
	month tinytext NOT NULL,
	note text NOT NULL,
	editor varchar(255) DEFAULT '' NOT NULL,
	publisher varchar(255) DEFAULT '' NOT NULL,
	series tinytext NOT NULL,
	address text NOT NULL,
	edition tinytext NOT NULL,
	isbn varchar(255) DEFAULT '' NOT NULL,
	howpublished text NOT NULL,
	booktitle varchar(255) DEFAULT '' NOT NULL,
	organization tinytext NOT NULL,
	chapter tinytext NOT NULL,
	type tinytext NOT NULL,
	school varchar(255) DEFAULT '' NOT NULL,
	institution varchar(255) DEFAULT '' NOT NULL,
	abstract text NOT NULL,
	
	PRIMARY KEY (uid),
	KEY parent (pid)
);